com.corticon.eclipse.studio.rule.rulesheet.core

## Interface IRulesheetDialogAPI

- All Superinterfaces:
    IDialogAPI

      public interface IRulesheetDialogAPI
      extends IDialogAPI

  Interface for Rulesheet creation wizard, which allows client programs to create new rulesheet resource.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.corticon.rulesemf.assetmodel.RulesheetAsset` | `createRulesheet(IRulesheetModelAPI aIRulesheetModelAPI, org.eclipse.emf.common.util.URI aURIRulesheet, org.eclipse.emf.common.util.URI aURIVocab)` Create a new Rulesheet resource with the specified URI.

    - ### Methods inherited from interface com.corticon.eclipse.core.IDialogAPI

      `displayMessageBox, getIExceptionDialogDelegate, getLocale, getMessage, getMessage, getMessageBase, getMessageBoxDelegate, getPreferences, getScrollableMessageDelegate, getUserInterfaceInfoDelegate, setIExceptionDialogDelegate, setLocale, setMessageBoxDelegate, setPreferencesDelegate, setScrollableMessageDelegate, setUserInterfaceInfoDelegate`

- - ### Method Detail

    - #### createRulesheet

          com.corticon.rulesemf.assetmodel.RulesheetAsset createRulesheet(IRulesheetModelAPI aIRulesheetModelAPI,
                                                                        org.eclipse.emf.common.util.URI aURIRulesheet,
                                                                        org.eclipse.emf.common.util.URI aURIVocab)

      Create a new Rulesheet resource with the specified URI. Examples:
      platform:/LoanProject/Loan.ers platform:/LoanProject/ED_Borrower.ers
      This function internally calls the IRulesheetModelAPI.createRulesheet(URI aURIRulesheet) function for creating a new Rulesheet Resource in the editing domain, with a new RulesheetAsset instance as the root object. It also calls the IRulesheetModelAPI.addView( ) to add a new presentation metaphor (view) to the asset (API context object). It saves the resource after doing necessary processing.
      Parameters:
        `aIRulesheetModelAPI` - The RulesheetModelAPI which the Rulesheet will be created
        `aURIRulesheet` - New Rulesheet URI.
        `aURIVocab` - Vocab URI. If provided then corresponding Vocab will be loaded and set to the RulesheetModelAPI
      Returns:
        New RulesheetAsset instance.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.